Debian Bug report logs - #418323
quagga bgpd DoS

version graph

Package: quagga; Maintainer for quagga is Christian Hammers <ch@debian.org>; Source for quagga is src:quagga.

Reported by: Patryk Dawidziuk <glut@lanet.net.pl>

Date: Sun, 8 Apr 2007 23:51:01 UTC

Severity: grave

Tags: security

Found in version all

Fixed in versions quagga/0.99.6-5, quagga/0.99.5-5etch2

Done: Christian Hammers <ch@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Hammers <ch@debian.org>:
Bug#418323; Package quagga. Full text and rfc822 format available.

Acknowledgement sent to Patryk Dawidziuk <glut@lanet.net.pl>:
New Bug report received and forwarded. Copy sent to Christian Hammers <ch@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patryk Dawidziuk <glut@lanet.net.pl>
To: submit@bugs.debian.org
Subject: quagga bgpd DoS
Date: Mon, 9 Apr 2007 01:50:32 +0200
Package: quagga
Version: all
Severity: critical

Bgpd denial has been discovered as stated here: http://www.quagga.net/news2.php?y=2007&m=4&d=8
Patch available here: http://bugzilla.quagga.net/show_bug.cgi?id=354
According to Paul Jakma, all versions are affected, possibly including GNU Zebra.

Best regards,


-- 
[: Patryk Dawidziuk  ~~~ :]




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#418323; Package quagga. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 418323@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: Patryk Dawidziuk <glut@lanet.net.pl>, 418323@bugs.debian.org
Cc: team@security.debian.org
Subject: Re: Bug#418323: quagga bgpd DoS
Date: Mon, 9 Apr 2007 13:25:25 +0200
[Message part 1 (text/plain, inline)]
Hello Paryk

On 2007-04-09 Patryk Dawidziuk wrote:
> Bgpd denial has been discovered as stated here:
> http://www.quagga.net/news2.php?y=2007&m=4&d=8 Patch available here:
> http://bugzilla.quagga.net/show_bug.cgi?id=354 According to Paul Jakma,
> all versions are affected, possibly including GNU Zebra.

Thanks for reporting, I'll have a look at it and prepare a version for an
Debian security update, if necessary.

bye,

-christian-
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hammers <ch@debian.org>:
Bug#418323; Package quagga. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to Christian Hammers <ch@debian.org>. Full text and rfc822 format available.

Message #15 received at 418323@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Patryk Dawidziuk <glut@lanet.net.pl>
Cc: 418323@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#418323: quagga bgpd DoS
Date: Mon, 09 Apr 2007 13:38:00 +0200
severity 418323 grave
tag 418323 security
thanks

* Patryk Dawidziuk:

> Package: quagga
> Version: all
> Severity: critical
>
> Bgpd denial has been discovered as stated here: http://www.quagga.net/news2.php?y=2007&m=4&d=8
> Patch available here: http://bugzilla.quagga.net/show_bug.cgi?id=354

Thanks for the pointer.

The affected attributes are non-transitive, so only direct peers can
exploit them.  Downgrading the severity.



Severity set to `grave' from `critical' Request was from Florian Weimer <fw@deneb.enyo.de> to control@bugs.debian.org. (Mon, 09 Apr 2007 11:39:03 GMT) Full text and rfc822 format available.

Tags added: security Request was from Florian Weimer <fw@deneb.enyo.de> to control@bugs.debian.org. (Mon, 09 Apr 2007 11:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hammers <ch@debian.org>:
Bug#418323; Package quagga. Full text and rfc822 format available.

Acknowledgement sent to "Info, GuiaArtistica.com.ar" <info@guiaartistica.com.ar>:
Extra info received and forwarded to list. Copy sent to Christian Hammers <ch@debian.org>. Full text and rfc822 format available.

Message #24 received at 418323@bugs.debian.org (full text, mbox):

From: "Info, GuiaArtistica.com.ar" <info@guiaartistica.com.ar>
To: "'Christian Hammers'" <ch@debian.org>, <418323@bugs.debian.org>
Subject: RE: Bug#418323: quagga bgpd DoS
Date: Mon, 9 Apr 2007 10:37:22 -0300
I am a victim of abuse.. a person put my email in much mailing list... 

PLEASE UNSUBSCRIBE ME!!!!

Guia Artistica
www.guiaartistica.com.ar


-----Mensaje original-----
De: Christian Hammers [mailto:ch@debian.org] 
Enviado el: Lunes, 09 de Abril de 2007 08:25 a.m.
Para: Patryk Dawidziuk; 418323@bugs.debian.org
CC: team@security.debian.org
Asunto: Bug#418323: quagga bgpd DoS

Hello Paryk

On 2007-04-09 Patryk Dawidziuk wrote:
> Bgpd denial has been discovered as stated here:
> http://www.quagga.net/news2.php?y=2007&m=4&d=8 Patch available here:
> http://bugzilla.quagga.net/show_bug.cgi?id=354 According to Paul 
> Jakma, all versions are affected, possibly including GNU Zebra.

Thanks for reporting, I'll have a look at it and prepare a version for an
Debian security update, if necessary.

bye,

-christian-




Reply sent to Christian Hammers <ch@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Patryk Dawidziuk <glut@lanet.net.pl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 418323-close@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: 418323-close@bugs.debian.org
Subject: Bug#418323: fixed in quagga 0.99.6-5
Date: Thu, 12 Apr 2007 22:02:03 +0000
Source: quagga
Source-Version: 0.99.6-5

We believe that the bug you reported is fixed in the latest version of
quagga, which is due to be installed in the Debian FTP archive:

quagga-doc_0.99.6-5_all.deb
  to pool/main/q/quagga/quagga-doc_0.99.6-5_all.deb
quagga_0.99.6-5.diff.gz
  to pool/main/q/quagga/quagga_0.99.6-5.diff.gz
quagga_0.99.6-5.dsc
  to pool/main/q/quagga/quagga_0.99.6-5.dsc
quagga_0.99.6-5_amd64.deb
  to pool/main/q/quagga/quagga_0.99.6-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 418323@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Hammers <ch@debian.org> (supplier of updated quagga package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 12 Apr 2007 23:21:58 +0200
Source: quagga
Binary: quagga quagga-doc
Architecture: source amd64 all
Version: 0.99.6-5
Distribution: unstable
Urgency: high
Maintainer: Christian Hammers <ch@debian.org>
Changed-By: Christian Hammers <ch@debian.org>
Description: 
 quagga     - unoff. successor of the Zebra BGP/OSPF/RIP routing daemon
 quagga-doc - documentation files for quagga
Closes: 418323
Changes: 
 quagga (0.99.6-5) unstable; urgency=high
 .
   * SECURITY:
     The bgpd daemon was vulnerable to a Denial-of-Service. Configured peers
     could cause a Quagga bgpd to, typically, assert() and abort. The DoS
     could be triggered by peers by sending an UPDATE message with a crafted,
     malformed Multi-Protocol reachable/unreachable NLRI attribute.
     Quagga Bug#354. Closes: #418323
Files: 
 646ebf1f91ce0727d72223be6ddf2eb1 767 net optional quagga_0.99.6-5.dsc
 15d2fe260ab777cb204b98b2448a4f1f 32387 net optional quagga_0.99.6-5.diff.gz
 da255259daa65d464c4b19eefd77f69b 720072 net optional quagga-doc_0.99.6-5_all.deb
 1543f6855b83718b318ddd2d6e20aeb3 1424420 net optional quagga_0.99.6-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkYeqnQACgkQkR9K5oahGOYU+ACfZuvqqO4vHE1wm6PcEkKl6wYE
8TIAoIQNWBcw9BRN8If8nb58Ew/CJo1g
=7d+p
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#418323; Package quagga. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #34 received at 418323@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: 418323@bugs.debian.org, dc <control@bugs.debian.org>
Subject: Re: Bug#418323: quagga bgpd DoS
Date: Fri, 13 Apr 2007 00:26:52 +0200
[Message part 1 (text/plain, inline)]
tags 418323 + pending
stop

The security team has been informed. I've prepared uploads
to stable and oldstable for them.

bye,

-christian-
[signature.asc (application/pgp-signature, attachment)]

Tags added: pending Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. (Thu, 12 Apr 2007 22:27:11 GMT) Full text and rfc822 format available.

Reply sent to Christian Hammers <ch@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Patryk Dawidziuk <glut@lanet.net.pl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 418323-close@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: 418323-close@bugs.debian.org
Subject: Bug#418323: fixed in quagga 0.99.5-5etch2
Date: Thu, 24 May 2007 18:27:34 +0000
Source: quagga
Source-Version: 0.99.5-5etch2

We believe that the bug you reported is fixed in the latest version of
quagga, which is due to be installed in the Debian FTP archive:

quagga-doc_0.99.5-5etch2_all.deb
  to pool/main/q/quagga/quagga-doc_0.99.5-5etch2_all.deb
quagga_0.99.5-5etch2.diff.gz
  to pool/main/q/quagga/quagga_0.99.5-5etch2.diff.gz
quagga_0.99.5-5etch2.dsc
  to pool/main/q/quagga/quagga_0.99.5-5etch2.dsc
quagga_0.99.5-5etch2_amd64.deb
  to pool/main/q/quagga/quagga_0.99.5-5etch2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 418323@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Hammers <ch@debian.org> (supplier of updated quagga package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 12 Apr 2007 23:57:58 +0200
Source: quagga
Binary: quagga quagga-doc
Architecture: source amd64 all
Version: 0.99.5-5etch2
Distribution: stable-security
Urgency: high
Maintainer: Christian Hammers <ch@debian.org>
Changed-By: Christian Hammers <ch@debian.org>
Description: 
 quagga     - unoff. successor of the Zebra BGP/OSPF/RIP routing daemon
 quagga-doc - documentation files for quagga
Closes: 418323
Changes: 
 quagga (0.99.5-5etch2) stable-security; urgency=high
 .
   * SECURITY:
     The bgpd daemon was vulnerable to a Denial-of-Service. Configured peers
     could cause a Quagga bgpd to, typically, assert() and abort. The DoS
     could be triggered by peers by sending an UPDATE message with a crafted,
     malformed Multi-Protocol reachable/unreachable NLRI attribute.
     Quagga Bug#354. Closes: #418323
Files: 
 667f0d6ae4984aa499d912b12d9146b9 762 net optional quagga_0.99.5-5etch2.dsc
 ac7da5cf6b143338aef2b8c6da3b2b3a 33122 net optional quagga_0.99.5-5etch2.diff.gz
 3f9c71aca6faa22a889e2f84ecfd0076 2311140 net optional quagga_0.99.5.orig.tar.gz
 01bcc6c571f620c957e1ea2b5cacf9f6 719938 net optional quagga-doc_0.99.5-5etch2_all.deb
 6e88dd4c6f56eba87c752369590cf486 1415656 net optional quagga_0.99.5-5etch2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGPGCxW5ql+IAeqTIRAhMpAJ9QeQt+J8VL51f5Vl8DWlI/YJSAvACeMkKW
Ue26D8UFl96BH27ZH7veLyE=
=HJTe
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:17:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:11:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.